DownloadState (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum DownloadState

- java.lang.Object
- - java.lang.Enum<DownloadState>
  - - org.gcube.portlets.user.speciesdiscovery.shared.DownloadState

- All Implemented Interfaces:
    Serializable, Comparable<DownloadState>

      public enum DownloadState
      extends Enum<DownloadState>
      implements Serializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED`
    `COMPLETEDWITHFAILURES`
    `FAILED`
    `ONGOING`
    `ONGOINGWITHFAILURES`
    `PENDING`
    `SAVED`
    `SAVING`
    `SERVICE_UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DownloadState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DownloadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final DownloadState PENDING

    - #### ONGOING

          public static final DownloadState ONGOING

    - #### ONGOINGWITHFAILURES

          public static final DownloadState ONGOINGWITHFAILURES

    - #### FAILED

          public static final DownloadState FAILED

    - #### COMPLETED

          public static final DownloadState COMPLETED

    - #### COMPLETEDWITHFAILURES

          public static final DownloadState COMPLETEDWITHFAILURES

    - #### SAVING

          public static final DownloadState SAVING

    - #### SAVED

          public static final DownloadState SAVED

    - #### SERVICE_UNKNOWN

          public static final DownloadState SERVICE_UNKNOWN

  - ### Method Detail

    - #### values

          public static DownloadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DownloadState c : DownloadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DownloadState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All Rights Reserved.